package com.ruoyi.web.controller.tool;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.exception.ServiceException;
import com.ruoyi.tool.enums.StoreBizType;
import com.ruoyi.tool.oss.CloudStorageConfig;
import com.ruoyi.tool.oss.OSSFactory;
import com.ruoyi.tool.oss.OssResObj;
import com.ruoyi.web.core.config.OssConfig;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

/**
 * @author wyq
 * @version 1.0
 * @date 2020/6/10 17:44
 */
@Api(tags = "通用请求接口")
@RestController
@RequestMapping("/open/tool")
public class OssController {

  @Resource
  private OssConfig ossConfig;

  /**
   * 上传文件
   * @param file
   * @param bizType
   * @return
   * @throws Exception
   */
  @ApiOperation("上传")
  @RequestMapping(value = "/uploadFile", method = RequestMethod.POST)
  public R<OssResObj> uploadFile(@RequestParam("file") MultipartFile file,
      @RequestParam("bizType") StoreBizType bizType) throws Exception {
    if (file.isEmpty()) {
      throw new ServiceException("上传文件不能为空");
    }
    CloudStorageConfig config = new CloudStorageConfig();
    config.setType(1);
    config.setAliyunAccessKeyId(ossConfig.getAccessKeyId());
    config.setAliyunAccessKeySecret(ossConfig.getAccessKeySecret());
    config.setAliyunBucketName(ossConfig.getPublicBucketName());
    config.setAliyunEndPoint(ossConfig.getEndpointUrl());
    config.setAliyunDomain(ossConfig.getDomain());
    // 上传文件
    String suffix =
        file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf("."));
    OssResObj resObj =
        OSSFactory.build(config).uploadSuffix(file.getBytes(), bizType.getPath(), suffix);
    return R.ok(resObj);
  }

}
