package com.ruoyi.tool.mapper;

import java.util.List;
import com.ruoyi.tool.domain.StoreFile;

/**
 * 文件Mapper接口
 * 
 * @author rongxin
 * @date 2023-09-06
 */
public interface StoreFileMapper 
{
    /**
     * 查询文件
     * 
     * @param id 文件主键
     * @return 文件
     */
    public StoreFile selectStoreFileById(Long id);

    /**
     * 查询文件列表
     * 
     * @param storeFile 文件
     * @return 文件集合
     */
    public List<StoreFile> selectStoreFileList(StoreFile storeFile);

    /**
     * 新增文件
     * 
     * @param storeFile 文件
     * @return 结果
     */
    public int insertStoreFile(StoreFile storeFile);

    /**
     * 批量新增文件
     *
     * @param list 文件
     * @return 结果
     */
    public int insertStoreFileBatch(List<StoreFile> list);

    /**
     * 修改文件
     * 
     * @param storeFile 文件
     * @return 结果
     */
    public int updateStoreFile(StoreFile storeFile);

    /**
     * 批量修改 文件
     *
     * @param list 文件
     * @return 结果
     */
    public int updateStoreFileBatch(List<StoreFile> list);

    /**
     * 删除文件
     * 
     * @param id 文件主键
     * @return 结果
     */
    public int deleteStoreFileById(Long id);

    /**
     * 批量删除文件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStoreFileByIds(Long[] ids);

    /**
     * 条件单条查询文件
     *
     * @param storeFile 文件
     * @return 文件条目
     */
    public StoreFile selectStoreFile(StoreFile storeFile);

    /**
     * 条件查询文件数量
     *
     * @param storeFile 文件
     * @return 文件数量
     */
    public Long selectStoreFileCount(StoreFile storeFile);

    /**
     * 条件查询文件是否存在
     *
     * @param storeFile 文件
     * @return 文件是否存在
     */
    public int selectStoreFileExists(StoreFile storeFile);
}
