package com.ruoyi.tool.service.impl;

import java.util.Date;
import java.util.List;
import com.ruoyi.tool.enums.StoreBizType;
import com.ruoyi.tool.enums.StoreType;
import com.ruoyi.tool.oss.OssResObj;
import com.ruoyi.tool.service.StoreFileBizService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tool.mapper.StoreFileMapper;
import com.ruoyi.tool.domain.StoreFile;

import javax.annotation.Resource;

/**
 * 文件Service业务层处理
 * 
 * @author rongxin
 * @date 2023-09-06
 */
@Service
public class StoreFileBizServiceImpl implements StoreFileBizService {
  @Resource
  private StoreFileMapper storeFileMapper;

  @Override
  public void insertStoreFile(StoreBizType bizType, StoreType type, String bizCode, String domain,
      String filePath) {
    Date date = new Date();
    StoreFile storeFile = new StoreFile();
    storeFile.setBizCode(bizCode);
    storeFile.setBizType(bizType.getCode());
    storeFile.setType(type.getCode());
    storeFile.setDomain(domain);
    storeFile.setFilePath(filePath);
    storeFile.setStatus(1L);
    storeFile.setCreateTime(date);
    storeFileMapper.insertStoreFile(storeFile);
  }
}
